Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Important: Update your Mailchimp Integration until January 1st, 2017
 
Reply
   X-Cart forums > News and Announcements
 
Thread Tools
  #11  
Old 12-05-2016, 08:51 PM
 
kevinrm kevinrm is offline
 

X-Adept
  
Join Date: Aug 2003
Posts: 940
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

I have integrated MailChimp and it's mostly working in XC 5.3.2.0. However, in regards to "E-Commerce features setup", when I attempt to upload store data it times out and I get "Error: Uploading data has been stopped." error.

I get following php_errors.log:


[06-Dec-2016 02:56:39] Error (code: 0): Call to a member function toArray() on null
Server API: fpm-fcgi;
Request method: POST;
URI: /admin.php?target=event_task&action=run&event=MailC himpUploadingData;
Backtrace:
#0 /home/user/public_html/var/run/classes/XLite/Model/Proxy/__CG__XLiteModelOrderStatusPayment.php(339): XLite\Model\Base\I18n->getHardTranslation('en')
#1 /home/user/public_html/var/run/classes/XLite/Model/Base/I18n.php(101): XLite\Model\Proxy\__CG__\XLite\Model\Order\Status\ Payment->getHardTranslation('en')
#2 /home/user/public_html/var/run/classes/XLite/Model/Proxy/__CG__XLiteModelOrderStatusPayment.php(32: XLite\Model\Base\I18n->getTranslation('en', true)
#3 /home/user/public_html/var/run/classes/XLite/Model/Base/I18n.php(145): XLite\Model\Proxy\__CG__\XLite\Model\Order\Status\ Payment->getTranslation('en', true)
#4 /home/user/public_html/var/run/classes/XLite/Model/Proxy/__CG__XLiteModelOrderStatusPayment.php(350): XLite\Model\Base\I18n->getSoftTranslation('en')
#5 /home/user/public_html/var/run/classes/XLite/Model/Base/I18n.php(28: XLite\Model\Proxy\__CG__\XLite\Model\Order\Status\ Payment->getSoftTranslation()
#6 /home/user/public_html/var/run/classes/XLite/Model/Base/I18n.php(264): XLite\Model\Base\I18n->callI18nMethod('getName', Array)
#7 /home/user/public_html/var/run/classes/XLite/Model/Proxy/__CG__XLiteModelOrderStatusPayment.php(406): XLite\Model\Base\I18n->__call('getName', Array)
#8 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Logic/DataMapper/Order.php(42): XLite\Model\Proxy\__CG__\XLite\Model\Order\Status\ Payment->__call('getName', Array)
#9 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Core/MailChimpECommerce.php(381): XLite\Module\XC\MailChimp\Logic\DataMapper\Order:: getDataByOrder(NULL, NULL, NULL, Object(XLite\Model\Order), NULL)
#10 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Logic/UploadingData/Step/Orders.php(27): XLite\Module\XC\MailChimp\Core\MailChimpECommerce->createOrdersBatch('25f0955679b6d23...', Array)
#11 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Logic/UploadingData/Step/AStep.php(86): XLite\Module\XC\MailChimp\Logic\UploadingData\Step \Orders->processBatch(Array)
#12 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Logic/UploadingData/Step/AStep.php(54): XLite\Module\XC\MailChimp\Logic\UploadingData\Step \AStep->processModel(Object(XLite\Model\Order))
#13 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Core/EventListener/UploadingData.php(69): XLite\Module\XC\MailChimp\Logic\UploadingData\Step \AStep->run()
#14 /home/user/public_html/var/run/classes/XLite/Core/EventListener/Base/Countable.php(150): XLite\Module\XC\MailChimp\Core\EventListener\Uploa dingData->processItem(Object(XLite\Module\XC\MailChimp\Logi c\UploadingData\Step\Orders))
#15 /home/user/public_html/var/run/classes/XLite/Core/EventListener/Base/Countable.php(7: XLite\Core\EventListener\Base\Countable->runCurrentStep()
#16 /home/user/public_html/var/run/classes/XLite/Core/EventListener/AEventListener.php(40): XLite\Core\EventListener\Base\Countable->handleEvent('MailChimpUpload...', Array)
#17 /home/user/public_html/var/run/classes/XLite/Core/EventListenerAbstract.php(41): XLite\Core\EventListener\AEventListener::handle('M ailChimpUpload...', Array)
#18 /home/user/public_html/var/run/classes/XLite/Controller/Admin/EventTask.php(59): XLite\Core\EventListenerAbstract->handle('MailChimpUpload...', Array)
#19 /home/user/public_html/var/run/classes/XLite/Controller/AControllerAbstract.php(1526): XLite\Controller\Admin\EventTask->doActionRun()
#20 /home/user/public_html/var/run/classes/XLite/Controller/Admin/AAdmin.php(266): XLite\Controller\AControllerAbstract->callAction()
#21 /home/user/public_html/var/run/classes/XLite/Controller/AControllerAbstract.php(1545): XLite\Controller\Admin\AAdmin->callAction()
#22 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/Controller/AController.php(21): XLite\Controller\AControllerAbstract->run()
#23 /home/user/public_html/var/run/classes/XLite/Controller/AControllerAbstract.php(546): XLite\Module\XC\MailChimp\Controller\AController->run()
#24 /home/user/public_html/var/run/classes/XLite/Module/QSL/CloudSearch/Controller/AController.php(2: XLite\Controller\AControllerAbstract->handleRequest()
#25 /home/user/public_html/var/run/classes/XLite/Controller/Admin/AAdmin.php(161): XLite\Module\QSL\CloudSearch\Controller\AControlle r->handleRequest()
#26 /home/user/public_html/var/run/classes/XLiteAbstract.php(624): XLite\Controller\Admin\AAdmin->handleRequest()
#27 /home/user/public_html/var/run/classes/XLiteAbstract.php(653): XLiteAbstract->runController()
#28 /home/user/public_html/var/run/classes/XLite/Module/XC/MailChimp/XLite.php(21): XLiteAbstract->processRequest()
#29 /home/user/public_html/admin.php(1: XLite\Module\XC\MailChimp\XLite->processRequest()
#30 {main}
__________________
X-Cart 5.3.6.3 Live
PHP7.2.20
FPM/FastCGI - enabled
Zend OpCache OFF - Won't work with phar extension in cPanel on PHP7.1+
10.3.16-MariaDB
Apache 2.4.34
CENTOS 6.8 64Bit Single Quad-Core E3-1241v3 3.4Ghz 8M 1600 w/ HT
32GB RAM 2x 512GB Samsung 850 Pro SSD RAID 1
Reply With Quote
  #12  
Old 12-06-2016, 04:21 PM
  cherie's Avatar 
cherie cherie is online now
 

X-Wizard
  
Join Date: May 2003
Location: USA
Posts: 1,531
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Quote:
Originally Posted by aim
replaces your files
Hopefully the files have not been modified by store owners. Patches are preferable.
__________________
redli.me | xcarthelp.com
custom mods and design integration
4.7 linux
Reply With Quote
  #13  
Old 12-06-2016, 08:53 PM
 
aim aim is offline
Advanced Staff Users
 

X-Cart team
  
Join Date: Dec 2008
Posts: 838
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Quote:
Originally Posted by cherie
Hopefully the files have not been modified by store owners. Patches are preferable.

modules/Adv_Mailchimp_Subscription/* files have been changed significantly. So I have decided to overwrite these files to avoid problems with installation.
__________________
Sincerely yours,
Ildar Amankulov
Head of Maintenance group
Reply With Quote

The following user thanks aim for this useful post:
cherie (12-07-2016)
  #14  
Old 12-06-2016, 09:35 PM
 
xim xim is offline
 

X-Cart team
  
Join Date: Nov 2004
Posts: 669
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Quote:
Originally Posted by kevinrm
I have integrated MailChimp and it's mostly working in XC 5.3.2.0. However, in regards to "E-Commerce features setup", when I attempt to upload store data it times out and I get "Error: Uploading data has been stopped." error.

Thank you. We found the reason of the issue, working on the fix
__________________
Sincerely yours, Max Vydrin
Reply With Quote

The following user thanks xim for this useful post:
kevinrm (12-06-2016)
  #15  
Old 12-08-2016, 07:21 AM
 
herber@wirehub.nl herber@wirehub.nl is offline
 

eXpert
  
Join Date: Nov 2002
Posts: 289
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Thanks, it has been installed on both our 4.7.6 stores!
__________________
X-Cart 4.7.9
Reply With Quote

The following user thanks herber@wirehub.nl for this useful post:
aim (12-08-2016)
  #16  
Old 07-29-2017, 02:08 PM
 
lilypad lilypad is offline
 

Advanced Member
  
Join Date: Apr 2007
Posts: 40
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

I am running 4.7.4 and currently only have Mailchimp Basic. I want to switch to the Mailchimp 3 API. When I go to the File Area, I only see an installer for 4.7.2

Is this what I should be using?? And then run the updates for 4.7.4?
Save
__________________
Version 4.7.4
Using reBOOT theme
www.the-lilypad.com
Reply With Quote
  #17  
Old 07-29-2017, 02:09 PM
 
lilypad lilypad is offline
 

Advanced Member
  
Join Date: Apr 2007
Posts: 40
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Here's a screenshot of that part of my File Area


http://prntscr.com/g1y544
Save
Save
Save
__________________
Version 4.7.4
Using reBOOT theme
www.the-lilypad.com
Reply With Quote
  #18  
Old 07-29-2017, 02:17 PM
 
lilypad lilypad is offline
 

Advanced Member
  
Join Date: Apr 2007
Posts: 40
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Quote:
Originally Posted by herber@wirehub.nl
Thanks, it has been installed on both our 4.7.6 stores!

Would you be able to share your process when you installed on 4.7.6? Did you use the 4.7.2 installer and then the updates? I would appreciate any guidance as I am anxious to complete this project. Thanks!
__________________
Version 4.7.4
Using reBOOT theme
www.the-lilypad.com
Reply With Quote
  #19  
Old 07-31-2017, 12:48 AM
 
aim aim is offline
Advanced Staff Users
 

X-Cart team
  
Join Date: Dec 2008
Posts: 838
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Quote:
Originally Posted by lilypad
Would you be able to share your process when you installed on 4.7.6? Did you use the 4.7.2 installer and then the updates? I would appreciate any guidance as I am anxious to complete this project. Thanks!

Hi,

There should be modules for your version.

Please have a look
https://secure.x-cart.com/customer.php?folder_id=38726&area=filearea&target= files_explorer
x-mailchimp-adv-v3updates-4.7.4.tgz
x-mailchimp-adv-v3updates-4.7.5.tgz
x-mailchimp-adv-v3updates-4.7.6.tgz
x-mailchimp-adv-v3updates-4.7.7.tgz

Thank you.
__________________
Sincerely yours,
Ildar Amankulov
Head of Maintenance group
Reply With Quote
  #20  
Old 08-01-2017, 12:42 AM
 
aim aim is offline
Advanced Staff Users
 

X-Cart team
  
Join Date: Dec 2008
Posts: 838
 

Default Re: Important: Update your Mailchimp Integration until January 1st, 2017

Hi,

x-mailchimp-adv-v3updates-4.7.4.tgz is enough to start work.

You should not install the x-mailchimp-4.7.2 module.

Anyway if the x-mailchimp-adv-v3updates-4.7.4.tgz was the last installed, it should work.

You have to setup a default store or/and create a campaign and place an order.

Do you see any stores in the 'Link orders created outside campaigns to this store' selector ?

Thank you.
Attached Images
File Type: png Screenshot_2017-08-01_12-40-15.png (7.7 KB, 2 views)
__________________
Sincerely yours,
Ildar Amankulov
Head of Maintenance group
Reply With Quote
Reply
   X-Cart forums > News and Announcements


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 06:35 PM.

   

 
X-Cart forums © 2001-2018